Retrieve a List of Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/records

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each record on the list

  • limit number

    maximum count of the record list

  • offset number

    skip that many record before beginning to return

  • validate_grammar string

    returns an error for incorrect field grammar when set to true

  • all_fields boolean

    will show all fields for each record

  • exclude string

    will exclude specified fields

  • subform_order string

    order of subform records. Use 'asc' or 'desc'.

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string

      number of records matching the request filters, ignoring limit and offset

    Hide response attributes Show response attributes object
    • id number Required
    • parent_record_id number
    • parent_page_id number
    • parent_element_id number
    • created_date string
    • created_by: `demo_user` string
    • created_location string
    • created_device_id string
    • modified_date string
    • modified_by: `demo_user` string
    • modified_location string
    • modified_device_id string
    • server_modified_date string
    • javascript_state string
  • 400 application/json

    Bad Request - limit or offset is not an integer.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

  • 404 application/json

    Not Found - page_id does not exist or is not a page of profile_id.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

  • 500 application/json

    Internal Server Error - the record count for Total-Count could not be read. The request fails rather than report a count of 0.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

GET /profiles/{profile_id}/pages/{page_id}/records
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/profiles/self/pages/{page_id}/records' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
[
  {
    "id": 7
  },
  {
    "id": 4
  },
  {
    "id": 1
  }
]
Response examples (400)
{
  "error_message": "'limit' must be an integer"
}
Response examples (404)
{
  "error_message": "The requested resource is not found"
}
Response examples (500)
{
  "error_message": "string"
}